package uz.myid.cmp

import androidx.compose.runtime.Composable
import androidx.compose.ui.graphics.ImageBitmap

object MyIdCredentials {
    const val CLIENT_ID = ""
    const val CLIENT_HASH = ""
    const val CLIENT_HASH_ID = ""
}

data class MyIdData(
    val clientId: String,
    val clientHash: String,
    val clientHashId: String,
)

class MyIdManager(
    private val onLaunch: (MyIdData) -> Unit
) {
    fun launch(data: MyIdData) {
        onLaunch(data)
    }
}

@Composable
expect fun rememberMyIdManager(
    onCompleted: (String?, ImageBitmap?) -> Unit,
    onFailed: (String?) -> Unit,
    onCancelled: () -> Unit,
): MyIdManager